<?php

namespace App\Policies;

use App\Models\Sale;
use App\Models\User;

class SalePolicy extends BasePolicy
{
    protected string $prefix = 'sales';

    public function delete(User $user, $model): bool
    {
        return $user->can('sales.cancel');
    }

    public function cancel(User $user, Sale $sale): bool
    {
        return $user->can('sales.cancel');
    }
}
